### Method

# Handy Flap set_locked

since: 1.2

#### Declaration [src]

    void
    hdy_flap_set_locked (
      HdyFlap* self,
      gboolean locked
    )

#### Description [src]

Sets whether `self` is locked.

If `FALSE`, folding `self` when the flap is revealed automatically closes it, and unfolding it when the flap is not revealed opens it. If `TRUE`, `HdyFlap:reveal-flap` value never changes on its own.

Available since: 1.2

Sets property | `Handy.Flap:locked`

#### Parameters

`locked`

  Type: `gboolean`

  The new value.